Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.search
Class MethodDeclarationMatch

    java.lang.Object
      org.eclipse.jdt.core.search.SearchMatch
          org.eclipse.jdt.core.search.MethodDeclarationMatch

public class MethodDeclarationMatch
extends SearchMatch

A Java search match that represents a method declaration. The element is an `IMethod`.

This class is intended to be instantiated and subclassed by clients.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.jdt.core.search.SearchMatch
`A_ACCURATE, A_INACCURATE`

Constructor Summary
`MethodDeclarationMatch(IJavaElement element, int accuracy, int offset, int length, SearchParticipant participant, IResource resource)` Creates a new method declaration match.

Methods inherited from class org.eclipse.jdt.core.search.SearchMatch
`getAccuracy, getElement, getLength, getOffset, getParticipant, getResource, isInsideDocComment, setAccuracy, setElement, setInsideDocComment, setLength, setOffset, setParticipant, setResource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodDeclarationMatch

    public MethodDeclarationMatch(IJavaElement element,
                                  int accuracy,
                                  int offset,
                                  int length,
                                  SearchParticipant participant,
                                  IResource resource)

  Creates a new method declaration match.

Parameters:
  `element` - the method declaration
  `accuracy` - one of A_ACCURATE or A_INACCURATE
  `offset` - the offset the match starts at, or -1 if unknown
  `length` - the length of the match, or -1 if unknown
  `participant` - the search participant that created the match
  `resource` - the resource of the element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.